limit | Specifies the maximum number of query results to return. | GET /automation_studio/templates?limit=25 |
skip | Bypasses a set number of items in a paginated result set. | GET /automation_studio/templates?skip=5 |
sort | Specifies the field name to sort query results by. | GET /automation_studio/templates?sort=name |
order | Specifies sort order: 1 for ascending, -1 for descending. | GET /automation_studio/templates?order=1 |
equals / equalsField | Use equals to specify a value and perform an exact match on the equalsField. | GET /automation_studio/templates?equals=:name&equalsField=name |
greaterThanEquals / greaterThanEqualsField | Returns results where the field value is greater than or equal to the specified value. | GET /workflow_engine/tasks/metrics?greaterThanEquals=:value&greaterThanEqualsField=metrics.startDate |
contains / containsField | Checks if the containsField contains the specified string value. | GET /workflow_engine/tasks/metrics?contains=:value&containsField=workflow.name |
include | Specifies the fields to include in query results; comma-delineated list. | GET /automation-studio/templates?include=name,description |
exclude | Specifies the fields to exclude from query results; comma-delineated list. | GET /automation-studio/templates?exclude=name,description |
in | Returns results where the field value matches one of the options in a given list. | GET /automation-studio/templates?in[name]=template1,template2 |
not-in | Returns results where the field value does not match any option in a given list. | GET /automation-studio/templates?not-in[name]=template1,template2 |
starts-with | Returns results where the specified field starts with the given string. | GET /automation-studio/templates?starts-with[name]=template1,template2 |
ends-with | Returns results where the specified field ends with the given string. | GET /automation-studio/templates?ends-with[name]=template1,template2 |